Attribute VB_Name = "CALCodeIndent"
'*****************************************************************************************************
' CAL Coding Indent
' Versionen
' 01: 09.10.2003 cm: Erstellung
' 02: 22.10.2003 cm: Fehlerbehebung: Bei Einrckung nach links prfen, ob aus der aktuellen
'                    Zeile berhaupt so viele Zeichen gelscht werden
'*****************************************************************************************************

Option Explicit


Private Sub InsertStepsInDocument(defiDirection As Integer, defiSteps As Integer)
'*****************************************************************************************************
' Indent the Document
'*****************************************************************************************************
Dim lsSpaces    As String
Dim liCounter   As Integer
Dim liLength    As Integer
Dim lbFound     As Boolean


  ' jump to top of text
  Selection.HomeKey Unit:=wdStory
  
  
  '*****************************************************************************************************
  ' Init Vars
  '*****************************************************************************************************
  lbFound = True
  
  For liCounter = 1 To defiSteps
    lsSpaces = lsSpaces + " "
  Next liCounter


  While lbFound

    lbFound = Selection.MoveDown(Unit:=wdLine, Count:=1)
    
    If lbFound Then
    
    
      Selection.HomeKey Unit:=wdLine
      
      
      Select Case defiDirection
      
      
        '*****************************************************************************************************
        ' Indent to right (default)
        '*****************************************************************************************************
        Case 0
        
          Selection.TypeText Text:=lsSpaces
    
    
        '*****************************************************************************************************
        ' Indent to left
        '*****************************************************************************************************
        Case 1
          
          '*****************************************************************************************************
          ' get length of current line
          '*****************************************************************************************************
          Selection.HomeKey Unit:=wdLine
          Selection.EndKey Unit:=wdLine, Extend:=wdExtend
          liLength = Len(Selection.Text)
          Selection.HomeKey Unit:=wdLine
          
          If liLength > defiSteps Then
            Selection.Delete Unit:=wdCharacter, Count:=defiSteps
          End If

        
      End Select
     
     
    End If
    
  Wend


End Sub


Private Function InputValues(defiDirection As Integer, defiSteps As Integer) As Boolean
'*****************************************************************************************************
' Imput the options (direction and quantity)
'*****************************************************************************************************

  defiDirection = 0
  defiSteps = 2
  
  defiDirection = InputBox("input direction (0=right, 1=left): ", "direction", defiDirection)
  defiSteps = InputBox("How many chars you want to indent (e.g. 2 for 2 chars)?: ", "Quantity", defiSteps)

  InputValues = MsgBox("Indent for the whole document" + Chr(13) + _
                       "direction (0=right, 1=left) : " + Str(defiDirection) + Chr(13) + _
                       "Quantity chars : " + Str(defiSteps) + Chr(13) + _
                       "Is this correct?", vbOKCancel) = vbOK

End Function


Sub CALCodeIndent()
'*****************************************************************************************************
' Indent the whole document text for quantity chars
'*****************************************************************************************************
Dim liDirection     As Integer
Dim liSteps         As Integer


  '*****************************************************************************************************
  ' Indent the whole document text for quantity chars
  '*****************************************************************************************************
  If InputValues(liDirection, liSteps) Then
  
  
    '*****************************************************************************************************
    ' Indent the Document
    '*****************************************************************************************************
    Call InsertStepsInDocument(liDirection, liSteps)


  End If
  
  
End Sub
